jQuery(document).ready(function($) {

    // Сворачиваем поле при открытии страницы
    //$('#rc-phone-form').css('width', '4.8em');
    
    $('#rc-phone').mouseenter(function(){
        // При наведении мыши на круг - раскрывается поле
        $('#rc-phone-form').css("overflow", "visible").show().animate({width: "375px"}, 500);
        $('#rc-phone').removeClass("rc-inactive");

        // При наведении мыши на поле - показываем крестик
        if ( $('#rc-phone-form').width() == "375" ) {
            $('#rc-phone-form-close').show();
            $('#rc-phone-form').css("overflow", "visible");
        }
    });
    
    // Скрываем крестик, когда мышь удаляется от поля
    $('#rc-phone').mouseleave(function(){
        $('#rc-phone-form-close').hide();
    });   
    
    // Смена фона при наведении мыши на кнопку отправки номера
    $('#rc-phone-button').mouseenter(function(){$('#rc-phone-button').css("background-color", "#18A629").addClass("rc-pressed")}).mouseleave(function(){$('#rc-phone-button').css("background-color", "#EEEEEE").removeClass("rc-pressed")}); 
    
    // Проверка номера телефона перед отправкой формы
    $('#form-phone').submit(function(){
        if ( ! $('#rc-phone-input').val() || $('#rc-phone-input').val().match(/[^0-9]/g) ) {
            $('#rc-phone-input-warning').addClass('rc-active');
            return false;
        }
        else{
            $('#rc-phone-input-warning').removeClass('rc-active');
        }
    })
    
    // Скрываем поле после нажатия на крестик
    $('#rc-phone-form-close').click(function(){
        $('#rc-phone-form-close').hide();
        $('#rc-phone-form').animate({width: "4.8em"}, 300, function(){
            $('#rc-phone-form').css("overflow", "hidden");
            $('#rc-phone').addClass("rc-inactive");
        });

    });
    
    // Проверка на ввод чисел
    $('#rc-phone-input').bind("change keyup input click", function() {
        $('#rc-phone-input-warning').removeClass('rc-active');
        if (this.value.match(/[^0-9]/g)) {
            this.value = this.value.replace(/[^0-9]/g, '');
        }
        if (this.value.length > 10) {
            this.value = this.value.substring(0,10);
        }
    });
    
    // AJAX запрос
    jQuery("#form-phone").submit( function() {
        
        // номер телефона, который отправляем в обработчик
        var txtphonenumber = jQuery('#rc-phone-input').val();
        
        jQuery.ajax({
            type : "post",
            dataType : "json",
	    url : "http://www.test.ru/callback.php",
            data : {txtphonenumber: txtphonenumber},
            success: function(response) {               
                if( response.error_msg ) {

                    jQuery("#rc-phone-input-warning").addClass("rc-active");
                    jQuery("#rc-phone-input-warning").children().text(response.error_msg);

                }
            }
        });   
    });

});    
